org.apache.ignite.internal.processors.igfs

## Class IgfsThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.ignite.internal.processors.igfs.IgfsThread

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  IgfsDeleteWorker

    public abstract class IgfsThread
    extends Thread

IGFS ad-hoc thread.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`protected` `IgfsThread()` Creates `IGFS` add-hoc thread.
`protected` `IgfsThread(String name)` Creates `IGFS` add-hoc thread.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `body()` Thread body.
`protected void` `cleanup()` Cleanup.
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsThread

    protected IgfsThread()

Creates `IGFS` add-hoc thread.

#### IgfsThread

    protected IgfsThread(String name)

Creates `IGFS` add-hoc thread.

Parameters:
  `name` - Thread name.

### Method Detail

#### run

    public final void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### body

    protected abstract void body()
                          throws InterruptedException

Thread body.

Throws:
  `InterruptedException` - If interrupted.

#### cleanup

    protected void cleanup()

Cleanup.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018